package com.koko.drouter.app

import android.app.Activity
import com.didi.drouter.api.DRouter
import java.util.Locale


val appService by lazy {
    DRouter.build(AppService::class.java).getService()
}

interface AppService {

    fun getCurrentSpLocal(): Locale

    fun changeActivityLanguage(
        activity: Activity,
        currentLocale: Locale,
        changeAction: () -> Unit
    ): Boolean


    fun finishToMain() = Unit

    fun finishToMainTop(activity: Activity) = Unit
}